org.apache.ode.bpel.pmapi

## Interface TProcessInfoList

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TProcessInfoListImpl

      public interface TProcessInfoList
      extends org.apache.xmlbeans.XmlObject

  An XML tProcessInfoList(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TProcessInfoList.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TProcessInfo` | `addNewProcessInfo()` Appends and returns a new empty value (as xml) as the last "process-info" element
    `TProcessInfo[]` | `getProcessInfoArray()` Gets array of all "process-info" elements
    `TProcessInfo` | `getProcessInfoArray(int i)` Gets ith "process-info" element
    `TProcessInfo` | `insertNewProcessInfo(int i)` Inserts and returns a new empty value (as xml) as the ith "process-info" element
    `void` | `removeProcessInfo(int i)` Removes the ith "process-info" element
    `void` | `setProcessInfoArray(int i, TProcessInfo processInfo)` Sets ith "process-info" element
    `void` | `setProcessInfoArray(TProcessInfo[] processInfoArray)` Sets array of all "process-info" element
    `int` | `sizeOfProcessInfoArray()` Returns number of "process-info" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getProcessInfoArray

          TProcessInfo[] getProcessInfoArray()

      Gets array of all "process-info" elements

    - #### getProcessInfoArray

          TProcessInfo getProcessInfoArray(int i)

      Gets ith "process-info" element

    - #### sizeOfProcessInfoArray

          int sizeOfProcessInfoArray()

      Returns number of "process-info" element

    - #### setProcessInfoArray

          void setProcessInfoArray(TProcessInfo[] processInfoArray)

      Sets array of all "process-info" element

    - #### setProcessInfoArray

          void setProcessInfoArray(int i,
                                   TProcessInfo processInfo)

      Sets ith "process-info" element

    - #### insertNewProcessInfo

          TProcessInfo insertNewProcessInfo(int i)

      Inserts and returns a new empty value (as xml) as the ith "process-info" element

    - #### addNewProcessInfo

          TProcessInfo addNewProcessInfo()

      Appends and returns a new empty value (as xml) as the last "process-info" element

    - #### removeProcessInfo

          void removeProcessInfo(int i)

      Removes the ith "process-info" element